.product-detail {
	.product-actions { position: absolute; z-index: 1; right: $grid-gutter-width / 2 + $spacer; top: $spacer; display: flex; justify-content: center; align-items: center;
		.btn { margin: 0 map-get($spacers, 1); }
	}

	.product-image { cursor: zoom-in; }

	.slick-slide { transition: opacity $transition-base-timing; }

	.product-thumbnails { width: 100%;
		.slick-list { width: 100%; }
		.slick-slide:not(.slick-current) { opacity: .5; }
	}
}

#image_wrapper {
	.slick-list,
	.slick-slide,
	img {
		outline: none !important;
	}

	.slick-slide:not(.slick-current) img{
		-webkit-filter: opacity(.4);
		filter: opacity(.4);
		&:hover {
			-webkit-filter: opacity(1);
			filter: opacity(1);
		}
	}

	.product-detail-image-topbar {
		display: none;
	}

	&.fullscreen {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 10000;
		background-color: rgba($gray-darker, .5);
		overflow: hidden;

		.product-actions {
			display: none;
		}

		.product-detail-image-preview-bar {
			background: #A8A8A8;
		}

		.product-detail-image-topbar {
			background: rgba($gray-darker, .6);
			height: 44px;
			display: block;

			#image_fullscreen_close {
				float: right;
				font-size: rem(20px);
				color: $gray-lighter;
				padding: 6px;
				margin-right: 10px;
			}
		}
		#gallery
		{
			margin-bottom: 0;
			.product-image {
				cursor: pointer;
			}
			.square-image {
				.inner {
					img {
						margin: 0 auto;
						left: initial;
						top: initial;
						-webkit-transform: initial;
						transform: initial;
					}
				}
			}
		}

		#gallery_preview_wrapper {
			width: 100%;
			padding: map_get($spacers, 3);
			max-width: 1200px;
			@include media-breakpoint-up(md) {
				width: 80%;
			}
		}
	}
	.variation-image-preview {
		position: absolute;
		top: 0;
		right: 0;
		width: 98%;
		height: auto;
		background: $white;
		border: 3px solid $gray-medium;
		opacity: 0;
		border-radius: $border-radius;
		@include box-shadow($box-shadow);
		z-index: -5;
		@include media-breakpoint-up(lg) {
			&.show {
				z-index: $zindex-tooltip;
				opacity: 1;
			}
		}
		img {
			object-fit: contain;
		}
		&::before, &::after {
			left: 100%;
			top: 50%;
			content: " ";
			height: 0px;
			width: 0px;
			position: absolute;
			border-width: initial;
			border-style: solid;
			border-color: transparent;
			border-image: initial;
		}
		&::before {
			margin-top: -18px;
			border-width: 14px 0px 14px 18px;
			border-color: transparent transparent transparent $gray-medium;
		}
		&::after {
			margin-top: -14px;
			border-width: 10px 0px 10px 14px;
			border-color: transparent transparent transparent $white;
		}
	}

	#gallery {
		margin-bottom: map-get($spacers, 5);
		&:not(.slick-initialized) {
			padding: 0;
		}
		.slick-list {
			@include media-breakpoint-down(md) {
				padding-right: 0;
			}
		}
		.slick-slide {
			padding: 0;
		}
	}

	#gallery_preview {
		&:not(.slick-initialized) {
			div.js-gallery-images {
				width: calc(79%/5);
				min-width: calc(79%/5);
				height: 100%;
				&:not(.preview-first) {
					opacity: 0.2;
				}
				padding: 0;
				border: $border-width solid $gray-darker;
				border-radius: $border-radius;
				margin: 0 0.5rem;
				@include media-breakpoint-down(lg) {
					width: calc(72%/5);
					min-width: calc(72%/5);
				}
			}
			&.slick-count-default {
				div.js-gallery-images {
					width: calc((100%)/5);
					min-width: calc((100%)/5);
				}
			}
			.slick-prev {
				margin-right: -0.5rem;
				animation: 0.5s fadeIn;
				animation-fill-mode: forwards;
				visibility: hidden;
			}
			.slick-next {
				margin-left: -0.5rem;
				animation: 0.5s fadeIn;
				animation-fill-mode: forwards;
				visibility: hidden;
			}
			@keyframes fadeIn {
				99% {
					visibility: hidden;
				}
				100% {
					visibility: visible;
				}
			}
		}
	}
}

.cfg-item-description {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: wrap;
}

#cfg-container .cfg-group {
	.hr-sect {
		&::before {
			max-width: 2%;
		}
	}
	.h5 {
		background: $sand;
	}
	.list-group-item {
		border: 0;
	}
	.custom-control-inline {
		width: 100%;
		.custom-control-label {
			width: 100%;
		}
	}
}

.modal-body .tab-content {
	margin-top: 0;
	margin-bottom: 1rem;
}

#cfg-container .nav.nav-pills {
	margin-bottom: -1rem;
}

#cfg-container-tab-panes {
	height: calc((var(--vh, 1vh) * 78) - 3rem);
	overflow-x: auto;
	padding-right: 17px;
	border-bottom: 2px solid $border-color;
	@include media-breakpoint-down(sm) {
		height: calc((var(--vh, 1vh) * 87) - 3rem);
	}
}

.cfg-group {
	.config-item {
        cursor: pointer;
		padding: $alert-padding-y;
		border: 2px solid $cool-white;
		@include border-radius($dropdown-border-radius);
		.badge-circle{
			display: none;
		}
		@include media-breakpoint-down(sm) {
			padding: map_get($spacers, 2);
		}
	}

	.cfg-swatch{
		~ .custom-control-label::before,
		~ .custom-control-label::after {
			display: none;
		}
		&:disabled ~ .custom-control-label .config-item {
          cursor: default;
			background: $cool-white;
			color: $gray-light;
		}
	}

	.custom-control {
		margin-right: 0;
		padding-left: 0;
	}

	.cfg-swatch:checked ~ .custom-control-label .config-item {
		border-color: $primary;
		.badge-circle{
			display: flex;
			background-color: $primary;
			border-color: $primary;
			color: #fff;
			opacity: 1;
			align-items: center;
			position: absolute;
			top: -20px;
			right: -22px;
			&.circle-small{
				top: -12px;
				right: -14px;
			}
		}
	}
	.drpdwn_qnt{
		display: none;
	}
	&.visited {
		.js-group-checked {
			color: $success;
		}
	}
}

#product-configurator .modal-dialog {
	@include media-breakpoint-down(sm) {
		margin: 0;
		.modal-header {
			padding: 0;
			.close {
				right: 0;
				transform: none;
				background-color: transparent;
				font-size: 2rem;
				top: 8px;
			}
		}
		.hr-sect::before {
			margin: 0px 10px 0px 0px;
		}
		.btn-sm {
			padding: 0.2rem 0.5rem;
		}
	}
}
.product-detail-video{
	max-width: 100%;
}